Package com.independentsoft.office.charts

# Class StockChart

java.lang.Object
com.independentsoft.office.charts.Chart
com.independentsoft.office.charts.StockChart

public class StockChart extends Chart
The Class StockChart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StockChart()`
  Instantiates a new stock chart.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StockChart`
  `clone()`
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `DropLines`
  `getDropLines()`
  Gets the drop lines.
  `long`
  `getFirstAxisID()`
  Gets the first axis id.
  `HiLowLines`
  `getHiLowLines()`
  Gets the hi low lines.
  `long`
  `getSecondAxisID()`
  Gets the second axis id.
  `List<LineChartSerie>`
  `getSeries()`
  Gets the series.
  `UpDownBars`
  `getUpDownBars()`
  Gets the up down bars.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setDropLines​(DropLines dropLines)`
  Sets the drop lines.
  `void`
  `setFirstAxisID​(long firstAxisID)`
  Sets the first axis id.
  `void`
  `setHiLowLines​(HiLowLines hiLowLines)`
  Sets the hi low lines.
  `void`
  `setSecondAxisID​(long secondAxisID)`
  Sets the second axis id.
  `void`
  `setUpDownBars​(UpDownBars upDownBars)`
  Sets the up down bars.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StockChart

    public StockChart()
    Instantiates a new stock chart.

- ## Method Details

  - ### clone

    public StockChart clone()
    Specified by:
      `clone` in class `Chart`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFirstAxisID

    public long getFirstAxisID()
    Gets the first axis id.
    Returns:
      the first axis id

  - ### setFirstAxisID

    public void setFirstAxisID​(long firstAxisID)
    Sets the first axis id.
    Parameters:
      `firstAxisID` - the new first axis id

  - ### getSecondAxisID

    public long getSecondAxisID()
    Gets the second axis id.
    Returns:
      the second axis id

  - ### setSecondAxisID

    public void setSecondAxisID​(long secondAxisID)
    Sets the second axis id.
    Parameters:
      `secondAxisID` - the new second axis id

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getDropLines

    public DropLines getDropLines()
    Gets the drop lines.
    Returns:
      the drop lines

  - ### setDropLines

    public void setDropLines​(DropLines dropLines)
    Sets the drop lines.
    Parameters:
      `dropLines` - the new drop lines

  - ### getHiLowLines

    public HiLowLines getHiLowLines()
    Gets the hi low lines.
    Returns:
      the hi low lines

  - ### setHiLowLines

    public void setHiLowLines​(HiLowLines hiLowLines)
    Sets the hi low lines.
    Parameters:
      `hiLowLines` - the new hi low lines

  - ### getSeries

    public List<LineChartSerie> getSeries()
    Gets the series.
    Returns:
      the series

  - ### getUpDownBars

    public UpDownBars getUpDownBars()
    Gets the up down bars.
    Returns:
      the up down bars

  - ### setUpDownBars

    public void setUpDownBars​(UpDownBars upDownBars)
    Sets the up down bars.
    Parameters:
      `upDownBars` - the new up down bars